#ifndef __RPC_COLOR_CONTROL_H
#define __RPC_COLOR_CONTROL_H
#include "RPC_API.h"




cJSON *rpc_zclColorControlMovetohue(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovehue(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlStephue(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovetosat(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovesat(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlStepsat(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovetohueandsat(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovetocolor(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovecolor(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlStepcolor(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovetocolortemp(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlEmovetohue(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlEmovehue(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlEstephue(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlEmovetohueandsat(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlLoopSet(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlStopmovestep(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlMovecolortemp(jrpc_context * ctx, cJSON * params, cJSON *id);
cJSON *rpc_zclColorControlStepcolortemp(jrpc_context * ctx, cJSON * params, cJSON *id);















#define RPC_COLOR_CONTROL_COMMAND_FUNCTION_TABLE	\
	{rpc_zclColorControlMovetohue,"zclColorControlMovetohue"},\
	{rpc_zclColorControlMovehue,"zclColorControlMovehue"},\
	{rpc_zclColorControlStephue,"zclColorControlStephue"},\
	{rpc_zclColorControlMovetosat,"zclColorControlMovetosat"},\
	{rpc_zclColorControlMovesat,"zclColorControlMovesat"},\
	{rpc_zclColorControlStepsat,"zclColorControlStepsat"},\
	{rpc_zclColorControlMovetohueandsat,"zclColorControlMovetohueandsat"},\
	{rpc_zclColorControlMovetocolor,"zclColorControlMovetocolor"},\
	{rpc_zclColorControlMovecolor,"zclColorControlMovecolor"},\
	{rpc_zclColorControlStepcolor,"zclColorControlStepcolor"},\
	{rpc_zclColorControlMovetocolortemp,"zclColorControlMovetocolortemp"},\
	{rpc_zclColorControlEmovetohue,"zclColorControlEmovetohue"},\
	{rpc_zclColorControlEmovehue,"zclColorControlEmovehue"},\
	{rpc_zclColorControlEstephue,"zclColorControlEstephue"},\
	{rpc_zclColorControlEmovetohueandsat,"zclColorControlEmovetohueandsat"},\
	{rpc_zclColorControlLoopSet,"zclColorControlLoopSet"},\
	{rpc_zclColorControlStopmovestep,"zclColorControlStopmovestep"},\
	{rpc_zclColorControlMovecolortemp,"zclColorControlMovecolortemp"},\
	{rpc_zclColorControlStepcolortemp,"zclColorControlStepcolortemp"}\























#endif

